package models

// User model
type User struct {
	BaseModel[AnthroveUserID]
	Favorites []UserFavorites `json:"-" gorm:"foreignKey:UserID"`
	Sources   []UserSource    `json:"-" gorm:"foreignKey:UserID"`
}

func (User) TableName() string {
	return "User"
}
